# Class ActiveStreamingTool

java.lang.Object
com.google.adk.agents.ActiveStreamingTool

public class ActiveStreamingTool extends Object
Manages streaming tool related resources during invocation.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ActiveStreamingTool()`
  `ActiveStreamingTool(LiveRequestQueue stream)`
  `ActiveStreamingTool(io.reactivex.rxjava3.disposables.Disposable task)`
  `ActiveStreamingTool(io.reactivex.rxjava3.disposables.Disposable task, LiveRequestQueue stream)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `@Nullable LiveRequestQueue`
  `stream()`
  Returns the active stream of this streaming tool.
  `void`
  `stream(@Nullable LiveRequestQueue stream)`
  Sets the active stream of this streaming tool.
  `@Nullable io.reactivex.rxjava3.disposables.Disposable`
  `task()`
  Returns the active task of this streaming tool.
  `void`
  `task(@Nullable io.reactivex.rxjava3.disposables.Disposable task)`
  Sets the active task of this streaming tool.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ActiveStreamingTool

    public ActiveStreamingTool(io.reactivex.rxjava3.disposables.Disposable task)

  - ### ActiveStreamingTool

    public ActiveStreamingTool(LiveRequestQueue stream)

  - ### ActiveStreamingTool

    public ActiveStreamingTool(io.reactivex.rxjava3.disposables.Disposable task, LiveRequestQueue stream)

  - ### ActiveStreamingTool

    public ActiveStreamingTool()

- ## Method Details

  - ### task

    public @Nullable io.reactivex.rxjava3.disposables.Disposable task()
    Returns the active task of this streaming tool.

  - ### task

    public void task(@Nullable io.reactivex.rxjava3.disposables.Disposable task)
    Sets the active task of this streaming tool.

  - ### stream

    public @Nullable LiveRequestQueue stream()
    Returns the active stream of this streaming tool.

  - ### stream

    public void stream(@Nullable LiveRequestQueue stream)
    Sets the active stream of this streaming tool.